Mesh Scale/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(28 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{Docnav/it|[[Mesh Smooth/it|Leviga...]]|[[Mesh EvaluateRepair/it|Analizza e ripara mesh...]]|[[Mesh_Workbench/it|Mesh]]|IconL=Mesh_Smooth.png|IconC=Workbench_Mesh.svg|IconR=Mesh_EvaluateRepair.png}}
</div>


{{Docnav/it
<div class="mw-translate-fuzzy">
|[[Mesh_Decimating/it|Decima]]
{{GuiCommand/it|Name=Mesh Scale|Name/it=Scala|Workbenches=[[Mesh Workbench/it|Mesh]]|MenuLocation=Mesh → Analizza → Analizza e ripara mesh...|Shortcut=|SeeAlso=}}
|[[Mesh_BuildRegularSolid/it|Solido regolare]]
</div>
|[[Mesh_Workbench/it|Mesh]]
|IconL=Mesh_Decimating.svg
|IconR=Mesh_BuildRegularSolid.svg
|IconC=Workbench_Mesh.svg
}}


{{GuiCommand/it
<div class="mw-translate-fuzzy">
|Name=Mesh_Scale
==Introduzione==
|Name/it=Scala
</div>
|MenuLocation=Mesh → Scala...
|Workbenches=[[Mesh Workbench/it|Mesh]]
}}


<span id="Description"></span>
<div class="mw-translate-fuzzy">
==Uso==
==Descrizione==
</div>


Il comando '''Scala''' scala gli oggetti mesh.
==Limitazioni==


<span id="Usage"></span>
==Note==
==Utilizzo==


# Selezionare uno o più oggetti mesh.
<div class="mw-translate-fuzzy">
# Esistono diversi modi per invocare il comando:
{{Docnav/it|[[Mesh Smooth/it|Leviga...]]|[[Mesh EvaluateRepair/it|Analizza e ripara mesh...]]|[[Mesh_Workbench/it|Mesh]]|IconL=Mesh_Smooth.png|IconC=Workbench_Mesh.svg|IconR=Mesh_EvaluateRepair.png}}
#* Premere il bottone {{Button|[[Image:Mesh_Scale.svg|16px]] [[Mesh_Scale/it|Scala...]]}}.
</div>
#* Selezionare l'opzione {{MenuCommand|Mesh → [[Image:Mesh_Scale.svg|16px]] Scala...}} dal menu.
# Il box dialogo {{MenuCommand|Scalatura}} si apre.
# Specificare un fattore di scala, il valore deve essere maggiore di {{Value|0}}.
# Premere il bottone {{button|OK}} per terminare il comando.

<span id="Scripting"></span>
==Script==

Vedere anche: [[FreeCAD_Scripting_Basics/it|Script di base per FreeCAD]]

Per scalare una mesh usare il suo metodo {{incode|transformGeometry}}.

{{Code|code=
import FreeCAD as App
import Mesh

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.

# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()

# Transform that copy:
new_msh.transformGeometry(mat)

# Update msh.Mesh:
msh.Mesh = new_msh
}}


{{Docnav/it
|[[Mesh_Decimating/it|Decima]]
|[[Mesh_BuildRegularSolid/it|Solido regolare]]
|[[Mesh_Workbench/it|Mesh]]
|IconL=Mesh_Decimating.svg
|IconR=Mesh_BuildRegularSolid.svg
|IconC=Workbench_Mesh.svg
}}


{{Mesh Tools navi{{#translation:}}}}
{{Mesh Tools navi{{#translation:}}}}

Latest revision as of 22:56, 30 November 2023

Other languages:

Scala

Posizione nel menu
Mesh → Scala...
Ambiente
Mesh
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Il comando Scala scala gli oggetti mesh.

Utilizzo

  1. Selezionare uno o più oggetti mesh.
  2. Esistono diversi modi per invocare il comando:
    • Premere il bottone Scala....
    • Selezionare l'opzione Mesh → Scala... dal menu.
  3. Il box dialogo Scalatura si apre.
  4. Specificare un fattore di scala, il valore deve essere maggiore di 0.
  5. Premere il bottone OK per terminare il comando.

Script

Vedere anche: Script di base per FreeCAD

Per scalare una mesh usare il suo metodo transformGeometry.

import FreeCAD as App
import Mesh

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.

# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()

# Transform that copy:
new_msh.transformGeometry(mat)

# Update msh.Mesh:
msh.Mesh = new_msh